Loading...
Searching...
No Matches
XrdCl::ArgBase< T >::FwdValue Struct Reference

A helper class for holding forwarded value. More...

`#include <XrdClArg.hh>`

Inheritance diagram for XrdCl::ArgBase< T >::FwdValue:
Collaboration diagram for XrdCl::ArgBase< T >::FwdValue:

## Public Member Functions

| FwdValue (const Fwd< T > &fwd)
T & | Get ()
Public Member Functions inherited from XrdCl::ArgBase< T >::ValueHolder
virtual | ~ValueHolder ()
| Virtual Destructor (important ;-).

## Detailed Description

template<typename T>
struct XrdCl::ArgBase< T >::FwdValue

A helper class for holding forwarded value.

Definition at line 194 of file XrdClArg.hh.

## Constructor & Destructor Documentation

## FwdValue()

template<typename T>

XrdCl::ArgBase< T >::FwdValue::FwdValue | ( | const Fwd< T > & | fwd | ) |

inline

Constructor

Parameters

  fwd | : the forwarded value to be hold by us

Definition at line 201 of file XrdClArg.hh.

: fwd( fwd )
{
}

## Member Function Documentation

## Get()

template<typename T>

T & XrdCl::ArgBase< T >::FwdValue::Get | ( |  | ) |

inline virtual

Returns
  : the value

Implements XrdCl::ArgBase< T >::ValueHolder.

Definition at line 208 of file XrdClArg.hh.

{
return *fwd;
}

The documentation for this struct was generated from the following file:

- XrdClArg.hh